/*	$Id: pomCntrlTaskCodels.c 2007/08/28 14:46:45 mallet $ */

/* 
 * Copyright (c) 2000-2007 LAAS/CNRS                  --  Thu Jun  8 2000
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

#include <portLib.h>
#include <stdio.h>

#include "libpom/lib.h"
#include "server/pomHeader.h"

/* 
 * pomRunCntrl ----------------------------------------------------------
 *
 * control codel of CONTROL request Export
 */

STATUS
pomRunCntrl(POM_ACTION *mode, int *bilan)
{
   if (*mode == POM_QUERY_MODE) { *mode = SDI_F->mode; return OK; }
   return OK;
}


STATUS pomFusionMethod(POM_FUSION_METHOD *method,int *bilan)
{
  PomFusionMethod meth;

  switch(*method) {
  case POM_FUSION_KALMAN:
    meth = POM_KALMAN;
    break;
  case POM_FUSION_BAYES:
    meth = POM_BAYES;
    break;
  case POM_FUSION_MAX_CONF:
    meth = POM_MAX_CONF;
    break;
  default:
    *bilan = S_pom_BAD_PARAMS;
  }
  pomSetFusionMethod(meth);
  return OK;
}
